Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.diagram
Class PathwaySemanticController

    java.lang.Object
      biouml.model.DefaultSemanticController
          biouml.standard.diagram.PathwaySemanticController

All Implemented Interfaces:
  SemanticController

Direct Known Subclasses:
  PathwaySimulationSemanticController

public class PathwaySemanticController
extends DefaultSemanticController

To do:
  implement

Field Summary
`protected static org.apache.log4j.Category` | `log`

Fields inherited from interface biouml.model.SemanticController
`ERROR_CAN_NOT_CLONE_NODE, ERROR_NODE_IS_DUPLICATED`

Constructor Summary
`PathwaySemanticController()`

Method Summary
`DiagramElement` | `createDiagramElement(Base kernel, java.util.Set elements)`
`DiagramElement` | `createInstance(Compartment parent, java.lang.Class type, java.awt.Point point, ViewEditorPane viewEditor)`
`java.lang.String` | `generateReactionName(Diagram diagram)` Generates unique reaction name.
`protected Node` | `getNode(Base kernel, java.util.Set elements)`
`boolean` | `remove(DiagramElement de)` Removes the diagram element and all related edges.

Methods inherited from class biouml.model.DefaultSemanticController
`canAccept, canAccept, findNewNode, isResizable, move, moveEdge, moveEdges, moveEdges, moveNode, remapEdge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

Constructor Detail

### PathwaySemanticController

    public PathwaySemanticController()

Method Detail

### remove

    public boolean remove(DiagramElement de)
                   throws java.lang.Exception

  Removes the diagram element and all related edges.

  Specified by:
    `remove` in interface `SemanticController`
  Overrides:
    `remove` in class `DefaultSemanticController`
  Throws:
    `java.lang.Exception`

### generateReactionName

    public java.lang.String generateReactionName(Diagram diagram)
                                          throws java.lang.Exception

  Generates unique reaction name.

  Throws:
    `java.lang.Exception`

### createInstance

    public DiagramElement createInstance(Compartment parent,
                                         java.lang.Class type,
                                         java.awt.Point point,
                                         ViewEditorPane viewEditor)

  Specified by:
    `createInstance` in interface `SemanticController`
  Overrides:
    `createInstance` in class `DefaultSemanticController`

### createDiagramElement

    public DiagramElement createDiagramElement(Base kernel,
                                               java.util.Set elements)

### getNode

    protected Node getNode(Base kernel,
                           java.util.Set elements)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.